Package org.eclipse.net4j.util.event

# Class ThrowableEventAdapter

java.lang.Object
org.eclipse.net4j.util.event.ThrowableEventAdapter

All Implemented Interfaces:
  `EventListener`, `IListener`

Direct Known Subclasses:
  `ThrowableEventAdapter.ToPrintStream`

public class ThrowableEventAdapter extends Object implements IListener
A `listener` that dispatches throwable `events` to methods that can be overridden by extenders.

Since:
  3.3
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ThrowableEventAdapter.ToPrintStream`
Prints the stack traces of throwable `events` to a `PrintStream`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`ThrowableEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`notifyEvent(IEvent event)`
`protected void`
`notifyLifecycleEvent(ThrowableEvent event)`
`protected void`
`notifyOtherEvent(IEvent event)`
`protected void`
`onThrowable(INotifier source, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThrowableEventAdapter

public ThrowableEventAdapter()

## Method Details

### notifyEvent

public final void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`

### notifyLifecycleEvent

protected void notifyLifecycleEvent(ThrowableEvent event)

### notifyOtherEvent

protected void notifyOtherEvent(IEvent event)

### onThrowable

protected void onThrowable(INotifier source, Throwable t)